Ask Your Question
0

melodic: can't install any packages

asked 2019-06-12 10:27:13 -0500

afroRoboticist gravatar image

updated 2019-06-12 11:33:01 -0500

gvdhoorn gravatar image

I don't know if I'm the only one who's experiencing this at the moment but for some reason, most ros-melodic packages are just refusing to install. I have just tried to install three different packages randomly with the same outcome. My Ubuntu Version: Distributor ID: Ubuntu Description: Ubuntu 18.04.2 LTS Release: 18.04 Codename: bionic

ROS Version: Melodic

Originally I wanted to install the 'ros-melodic-pid' package and got the error below. As a result I checked two other packages randomly with exact same error:


Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  ros-melodic-pid
0 upgraded, 1 newly installed, 0 to remove and 150 not upgraded.
Need to get 125 kB of archives.
After this operation, 629 kB of additional disk space will be used.
Err:1 http://packages.ros.org/ros/ubuntu bionic/main amd64 ros-melodic-pid amd64 0.0.27-0bionic.20190320.162754
  404  Not Found [IP: 2600:3402:200:227::2 80]
E: Failed to fetch http://packages.ros.org/ros/ubuntu/pool/main/r/ros-melodic-pid/ros-melodic-pid_0.0.27-0bionic.20190320.162754_amd64.deb  404  Not Found [IP: 2600:3402:200:227::2 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?    

Note that I updated my repos. 'sudo apt-get update' already. I don't know what else could be wrong. Help needed.

edit retag flag offensive close merge delete

Comments

Could this be caused by this build-farm update. The key has recently been changed due a security breach.

PeteBlackerThe3rd gravatar imagePeteBlackerThe3rd ( 2019-06-12 10:47:40 -0500 )edit
1

@afroRoboticist: there is no need to use all caps. I've updated your question title to be a little more descriptive, and with less caps.

gvdhoorn gravatar imagegvdhoorn ( 2019-06-12 11:33:39 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2019-06-12 11:03:18 -0500

ChriMo gravatar image

Hi,

I"m confused by your IPv6 access: Not Found [IP: 2600:3402:200:227::2 80]

Please check this: https://unix.stackexchange.com/questi...

Good luck

Cheers Chrimo

edit flag offensive delete link more

Comments

No, that message is confusing, but it's actually not the problem here.

gvdhoorn gravatar imagegvdhoorn ( 2019-06-12 11:32:46 -0500 )edit

YEP, you are right. the requested file did not exist at this repository. Checked via browser. So apt update failed and database is not at the latest state.

ChriMo gravatar imageChriMo ( 2019-06-12 15:14:25 -0500 )edit

Indeed. Because the correct key has not been imported. See my answer.

gvdhoorn gravatar imagegvdhoorn ( 2019-06-12 15:20:41 -0500 )edit
0

answered 2019-06-12 11:32:18 -0500

gvdhoorn gravatar image

Please see #q325039.

This is caused by the recent key change.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-06-12 10:27:13 -0500

Seen: 545 times

Last updated: Jun 12